## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with bootstrap

Name:           dola-transformer
Version:        1.0.1
Release:        %autorelease
Summary:        Maven 4 extension for dynamic POM transformation
License:        Apache-2.0
URL:            https://github.com/mizdebsk/dola-transformer
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source:         https://github.com/mizdebsk/dola-transformer/releases/download/%{version}/dola-transformer-%{version}.tar.zst

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(io.kojan:kojan-parent:pom:)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.maven:maven-api-model:4.0.0-rc-3)
BuildRequires:  mvn(org.apache.maven:maven-api-spi:4.0.0-rc-3)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
%endif

%description
Dola Transformer is an extension for Apache Maven 4 that enables
dynamic, in-memory transformation of project models (POMs) without
modifying them on disk.  It supports a range of transformations,
including adding or removing plugins, dependencies, and parent POMs.

Unlike traditional POM modification tools from the Javapackages
project, Dola Transformer works with a variety of model formats and is
not limited to XML.  This makes it especially useful in environments
where custom Maven builds are needed without manually editing POM
files.

%prep
%autosetup -p1 -C

%build
# TODO enable tests once EasyMock is updated to version >= 5.
# Tests require EasyMock 5, but we only have EasyMock 4 packaged.
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Mon Jun 23 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-1
- Update to upstream version 1.0.1

* Fri Jun 13 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-2
- Implement bootstrap mode

* Wed Jun 11 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-1
- Update to upstream version 1.0.0

* Thu May 22 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-4
- Switch javapackages test plan to f43 ref

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-3
- Onboard package into gating

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-2
- Remove AUTHORS file from %%doc

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-1
- Initial packaging
## END: Generated by rpmautospec
